STRCSPN(3)

NAME
strcspn - span the complement of a string

SYNOPSIS
#include <string.h>

size_t
strcspn(s, charset)
char *s;
char *charset;

DESCRIPTION
The strcspn() function spans the initial part of the null-terminated string s as long as the characters from s do not occur in string charset (it spans the complement of charset ) .

RETURN VALUES
The strcspn() function returns the number of characters spanned.

SEE ALSO
index(3), memchr(3), rindex(3), strchr(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strstr(3), strtok(3)

STANDARDS
The strcspn() function conforms to ANSI C X3.159-1989 (``ANSI C'').